Create instalment order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Before you create an instalment order

Create a product in the UI with the product_type of instalment. Create a customer in the API or the UI, or by uploading a CSV file in the UI.


Customers in orders

The get customer response includes two identifiers: the system customer id, which is an integer, and the merchant's customer identifier or customer_id, which is an alphanumeric string. To create an order for the customer, set the order's customer_id to the system customerid.

The create order response will return the merchant's customer identifier as the customer_id and then in the order customer object, it will return the system customer id.


Products in instalment orders

In an instalment order, you can add one instalment product. In the order data object, create a order_product object.

In the API, you cannot split payments on a single payment product to create an instalment order. And you cannot charge the full price of an instalment product using a single payment order.

When you create an order, you can change the pricing unless the pricing configuration of the product is locked. You can specify custom amounts for discounts, fees, and taxes.

To sell an instalment product without a deposit, create it as a separate product. Do not change the initial amount to 0 because this can make the total amount of the order incorrect. To register a card when there is no deposit, charge the pre-authorisation amount. Contact BillPro customer service to get this amount.

You can change the scheduled_unit and scheduled_interval unless the payment configuration of the product is locked.

Order status

BillPro creates a payment link and makes the order pending. It does not send an Order is Ready email with the payment link to the customer.

Taking payments

Send the payment link to the customer by email, or integrate with the BillPro payment link feature to redirect the customer to the BillPro secure checkout.

For CardCorp merchant accounts, when you create an order, you can create a checkout in the payment gateway. You can use this checkout in an iframe integration. See Integrate with custom checkout and payment iframe. If the customer doesn't complete the transaction within 25 minutes, the checkout expires. Renew the checkout with the Renew Checkout request.

Notifications

BillPro sends payment reminders for Pending orders. You can change this setting in Payment Reminders.

Manage scheduled payments

Use the API or the UI to manage billing events for scheduled payments. You can skip or reschedule them.

Cancel old pending orders

Regularly cancel old orders with Pending status from the UI.

Query Params
int32

If you have more than one profile, you must supply the ID of the profile to use

Body Params
order
object
required

An instalment order object

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json